import { SnapMatch } from "./Interactor";
/**
 * Find the best fitting match from an array of approximately similar matches.
 * Choose the match that is deepest down the parent-child hierarchy,
 * e.g. if there are multiple matches at the same position in a parent-child constellation,
 * choose the match that belongs to the child.
 */
export declare class BestMatch {
    private matches;
    private roots;
    constructor(matches: SnapMatch[]);
    best(): SnapMatch;
    preferredRoot(): string;
}
